package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRole;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRole] 服务对象接口
 */
public interface IUserRoleClientService{

    public IUserRole createModel() ;

    public void create(IUserRole userrole);

    public void save(IUserRole userrole);

    public void update(IUserRole userrole);

    public void checkKey(IUserRole userrole);

    public void get(IUserRole userrole);

    public void remove(IUserRole userrole);

    public void getDraft(IUserRole userrole);

    public Page<IUserRole> fetchDefault(SearchContext context);

}
